Gecode::ArrayTraits< VarArgArray< SetVar > > Class Reference

Traits of VarArgArray<SetVar>. More...

`#include <array-traits.hpp>`

## Public Types

typedef SetVarArgs | StorageType
typedef SetVar | ValueType
typedef SetVarArgs | ArgsType

## Detailed Description

Traits of VarArgArray<SetVar>.

Definition at line 47 of file array-traits.hpp.

## Member Typedef Documentation

## StorageType

typedef SetVarArgs Gecode::ArrayTraits< VarArgArray< SetVar > >::StorageType

Definition at line 49 of file array-traits.hpp.

## ValueType

typedef SetVar Gecode::ArrayTraits< VarArgArray< SetVar > >::ValueType

Definition at line 50 of file array-traits.hpp.

## ArgsType

typedef SetVarArgs Gecode::ArrayTraits< VarArgArray< SetVar > >::ArgsType

Definition at line 51 of file array-traits.hpp.

The documentation for this class was generated from the following file:

- gecode/set/array-traits.hpp